## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary: The GNU line editor
Name: ed
Version: 1.20
Release: %autorelease

# The entire source is GPLv2 except doc/ed.info and doc/ed.texi, which are GFDL
License: GPL-2.0-only AND GFDL-1.3-no-invariants-or-later
URL:     https://www.gnu.org/software/ed/
Source0: https://download.savannah.gnu.org/releases/ed/%{name}-%{version}.tar.lz
Source1: https://download.savannah.gnu.org/releases/ed/%{name}-%{version}.tar.lz.sig
Source2: https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x8FE99503132D7742#./antoniodiazdiaz-keyring.asc

BuildRequires: gcc
BuildRequires: make
%if 0%{?rhel}
BuildRequires: bsdtar
%else
BuildRequires: lzip
%endif
# for gpg verification
BuildRequires: gnupg2

%description
ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts). For most purposes, ed has been
replaced in normal usage by full-screen editors (emacs and vi, for example).

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%if 0%{?rhel}
# no lzip in RHEL; bsdtar can handle it but not from within %%setup.
%setup -q -c -T
bsdtar -xf %{SOURCE0} -C %{_builddir}
%else
%autosetup
%endif

%build
%set_build_flags
# Custom configure script; not Autoconf, so we do not use %%configure macro
./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --datarootdir=%{_datadir} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --program-prefix=%{?_program_prefix} \
    CC="${CC-gcc}" \
    CPPFLAGS="${CPPFLAGS}" \
    CFLAGS="${CFLAGS}" \
    LDFLAGS="${LDFLAGS}"
%make_build

%install
%make_install
rm -vrf %{buildroot}%{_infodir}/dir

%check
%make_build check

%files
%license COPYING doc/fdl.texi
%doc ChangeLog NEWS README AUTHORS
%{_bindir}/ed
%{_bindir}/red
%{_mandir}/man1/ed.1*
%{_mandir}/man1/red.1*
%{_infodir}/ed.info*

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.20-1
- Update to 1.20 - Closes rhbz#2259352

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.19-5
- Avoid lzip dependency in RHEL builds

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Apr 24 2023 Lukáš Zaoral <lzaoral@redhat.com> - 1.19-3
- migrate to SPDX license format

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.19-1
- Update to 1.19 - Closes rhbz#2160522

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 05 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.18-1
- Update to 1.18 - Closes rhbz#1805337
- Swich homepage to https
- Use upstream lzip file, koji can handle it with the correct BuildRequire
- Check gpg signature
- Add check section
- Convert to rpmautospec
- Change from GPLv3+ to GPLv2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 9 2018 Karsten Hopp <karsten@redhat.com> - 1.14.2-5
- fix license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Karsten Hopp <karsten@redhat.com> - 1.14.2-3
- buildrequire gcc

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.14.2-1
- Update to 1.14.2

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 01 2017 Stephen Gallagher <sgallagh@redhat.com> - 1.14.1-2
- Add missing %%license macro

* Thu Jan 12 2017 Karsten Hopp <karsten@redhat.com> - 1.14-1
- update to 1.14

* Tue Apr 05 2016 Karsten Hopp <karsten@redhat.com> 1.13-1
- update to 1.13

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Karsten Hopp <karsten@redhat.com> - 1.12-1
- update to 1.12

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 1.10-4
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Karsten Hopp <karsten@redhat.com> 1.10-1
- update to 1.10

* Wed Jul 31 2013 Karsten Hopp <karsten@redhat.com> 1.9-2
- add GFDL to licenses

* Tue Jul 23 2013 Karsten Hopp <karsten@redhat.com> 1.9-1
- update to ed-1.9
- fix changelog dates

* Tue May 14 2013 Karsten Hopp <karsten@redhat.com> 1.8-1
- update to ed-1.8
- spec file cleanups

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 15 2012 Karsten Hopp <karsten@redhat.com> 1.6-1
- ed-1.6

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Karsten Hopp <karsten@redhat.com> 1.5-1
- update to version 1.5 (#630693)

* Tue Apr 20 2010 Karsten Hopp <karsten@redhat.com> 1.4-2
- drop duplicate man pages (#583178)

* Tue Mar 02 2010 Karsten Hopp <karsten@redhat.com> 1.4-1
- update to latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 29 2008 Karsten Hopp <karsten@redhat.com> 1.1-1
- update to latest version, fixes CVE-2008-3916

* Tue Jun 24 2008 Karsten Hopp <karsten@redhat.com> 0.9-1
- version 0.9

* Mon Mar 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8-3
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Karsten Hopp <karsten@redhat.com> 0.8-1
- update to 0.8

* Wed Aug 22 2007 Karsten Hopp <karsten@redhat.com> 0.7-2
- update license tags

* Mon Jul 23 2007 Karsten Hopp <karsten@redhat.com> 0.7-1
- update to 0.7 to fix an endless loop (#234689)
- add disttag

* Mon Jul 02 2007 Karsten Hopp <karsten@redhat.com> 0.6-1
- update to 0.6

* Wed Mar 14 2007 Karsten Hopp <karsten@redhat.com> 0.5-1
- version 0.5, fixes #228329

* Mon Feb 05 2007 Karsten Hopp <karsten@redhat.com> 0.4-3
- clean up spec file for merge review (#225717)

* Wed Jan 31 2007 Karsten Hopp <karsten@redhat.com> 0.4-2
- use RPM_OPT_FLAGS, this fixes debuginfo

* Tue Jan 23 2007 Karsten Hopp <karsten@redhat.com> 0.4-1
- new upstream version

* Thu Jan 18 2007 Karsten Hopp <karsten@redhat.com> 0.3-3
- don't abort (un)install scriptlets when _excludedocs is set (Ville Skyttä)

* Thu Jan 18 2007 Karsten Hopp <karsten@redhat.com> 0.3-2
- fix man page permissions (#222581)

* Mon Nov 13 2006 Karsten Hopp <karsten@redhat.com> 0.3-1
- update to ed-0.3

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.2-38.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2-38.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2-38.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 02 2005 Karsten Hopp <karsten@redhat.de> 0.2-38
- build with gcc-4

* Mon Jan 03 2005 Karsten Hopp <karsten@redhat.de> 0.2-37
- spec file fix from Marcin Garski (#143723)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 17 2003 Karsten Hopp <karsten@redhat.de> 0.2-34
- rebuild

* Tue Jun 17 2003 Karsten Hopp <karsten@redhat.de> 0.2-33
- rebuild to fix crt*.o problems

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 17 2002 Karsten Hopp <karsten@redhat.de>č
- remove regex, use glibc's regex (#79132)

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.2-29
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2-26
- Fix build with current toolchain

* Wed Apr 03 2002 Karsten Hopp <karsten@redhat.de>
- don't use gcc -s

* Fri Feb 22 2002 Karsten Hopp <karsten@redhat.de>
- bump version

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Oct 15 2001 Karsten Hopp <karsten@redhat.de>
- add home page (#54602)

* Sat Jul 07 2001 Karsten Hopp <karsten@redhat.de>
- Copyright -> License
- fix URL

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Dec 04 2000 Karsten Hopp <karsten@redhat.de>
- back out fixes for compiler warnings

* Wed Nov 29 2000 Karsten Hopp <karsten@redhat.de>
- Security bugfix (mkstemp instead of mktemp) Bugzilla #21470

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- fix typo

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- add %%defattr
- clean up specfile

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man pages and infos in right place

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

* Tue Mar 23 1999 Jeff Johnson <jbj@redhat.com>
- fix %%post syntax error (#1689).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

## END: Generated by rpmautospec
